/* int15h for dosrun, (C)1999 LGB, Gabor Lenart, lgb@vlug.vein.hu, GPL software */


#include "config_dosrun.h"
#ifdef CONFIG_INT15   /* BIG ifdef section */

#include <stdio.h>
#include <unistd.h>
#include "dosrun.h"

extern word oldcs,oldip;

int int15_emu ( void )
{
  switch (AH) {
    /* delay */
    case 0x86 : usleep(DOS_LONG(CX,DX));
                return 1;
    /* switch into protected mode */
    case 0x89 : fprintf(stderr,"Switching into protected mode (int 15h, AH=89h), exiting ...\n");
                return 0;
  }
#ifdef CONFIG_DEBUG_UNIMPLEMENTED_FUNC
  if (stddebug) fprintf(stddebug,"INT15: unimplemented function, AX=%04X, BX=%04X at %04X:%04X\n",AX,BX,oldcs,oldip);
#endif
  return 1;
}



#endif
