/* int 2F implementation for DOSRUN
   (C)1999 LGB of DC (Gabor Lenart), lgb@vlug.vein.hu
   GNU/GPL source */


#include "config_dosrun.h"

#ifdef CONFIG_INT2F         /* a BIG ifdef block */

#include <stdio.h>
#include "dosrun.h"
#include "xms.h"

extern word oldcs,oldip;


int int2f_emu ( void )
{
  switch (AH) {
/* XMS functions first ! */
#   ifdef CONFIG_XMS
    case 0x43 : switch (AL) {
                  case 0x00 : AL=0x80;
		              break;
		  case 0x10 : ES=XMS_PROC_SEG;
		              BX=XMS_PROC_OFS;
			      break;
		}
		return 1;
#   endif
/* other int 2F functions follows */
#   ifdef CONFIG_INT2F_OTHER
    /* ANSI.SYS installation checking */
    case 0x1A : if (AL==0) AL=0xFF;
                return 1;
    /* COMMAND.COM running ? */
    case 0x55 : return 1; /* just ignore */
    /* APPEND functions */
    case 0xB7 : return 1; /* just ignore */
    /* DOSKEY, FAST hack */
/*  case 0x48 : if (AL==0) {
                  AL=1;
		  return 1;
		}
		if (AL==0x10) {
		  byte *p=DOS_PB(DS,DX);
		  fgets(p+2,*p,stdin);
		  *(p+1)=strlen(p+2);
		  return 1;
		}
		break; */
#   endif
  }
# ifdef CONFIG_DEBUG_UNIMPLEMENTED_FUNC
  if (stddebug) fprintf(stddebug,"INT2F: unimplemented function (CS:IP=%04X:%04X) AX=%04X BX=%04X ES=%04X\n",oldcs,oldip,AX,BX,ES);
# endif
  STC;
  BX=0; /* ?? */
  return 1;
}


#endif
